# Class BodySensorLocation

java.lang.Object
com.codename1.health.sensors.BodySensorLocation

public final class BodySensorLocation extends Object

The values of the Body Sensor Location characteristic, `0x2A38`, as reported by `SensorSession.getBodySensorLocation()`.

Worth surfacing: a wrist-worn optical sensor and a chest strap have materially different accuracy during hard efforts, and telling the user which one is feeding a reading is more honest than presenting both as equivalent.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHEST`
  Chest -- a strap; the most accurate of these placements.
  `static final int`
  `EAR_LOBE`
  Earlobe.
  `static final int`
  `FINGER`
  Finger.
  `static final int`
  `FOOT`
  Foot.
  `static final int`
  `HAND`
  Hand.
  `static final int`
  `OTHER`
  Somewhere the profile does not name.
  `static final int`
  `WRIST`
  Wrist -- an optical sensor in a watch or band.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `describe(int location)`
  A human-readable name for a location constant.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OTHER

    public static final int OTHER
    Somewhere the profile does not name.
    See Also:
      - Constant Field Values

  - ### CHEST

    public static final int CHEST
    Chest -- a strap; the most accurate of these placements.
    See Also:
      - Constant Field Values

  - ### WRIST

    public static final int WRIST
    Wrist -- an optical sensor in a watch or band.
    See Also:
      - Constant Field Values

  - ### FINGER

    public static final int FINGER
    Finger.
    See Also:
      - Constant Field Values

  - ### HAND

    public static final int HAND
    Hand.
    See Also:
      - Constant Field Values

  - ### EAR_LOBE

    public static final int EAR_LOBE
    Earlobe.
    See Also:
      - Constant Field Values

  - ### FOOT

    public static final int FOOT
    Foot.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### describe

    public static String describe(int location)
    A human-readable name for a location constant.